Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.mbeans
Interface PaymentServiceClientMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface PaymentServiceClientMBean
extends ServiceConfigurationMBean

The MBean that configures the client side of the tax service.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getDeferAuthorization()` Get flag on whether or not authorizations should be deferred
`String` | `getPaymentModel()` Get the payment model setting of your business
`String` | `getPaymentWebServiceWSDL()` Get the WSDL of the Payment service
`void` | `setDeferAuthorization(String trueOrFalse)` Indicate if authorizations should be deferred
`void` | `setPaymentModel(String paymentModel)` Set the payment model of your business
`void` | `setPaymentWebServiceWSDL(String wsdl)` Set the WSDL of the payment web service

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDeferAuthorization

    public String getDeferAuthorization()

  Get flag on whether or not authorizations should be deferred

  MBean Attribute Old Property Name:
    tax.calculator.jndi.name

### getPaymentModel

    public String getPaymentModel()

  Get the payment model setting of your business

  MBean Attribute Old Property Name:
    PaymentModel

### getPaymentWebServiceWSDL

    public String getPaymentWebServiceWSDL()

  Get the WSDL of the Payment service

### setDeferAuthorization

    public void setDeferAuthorization(String trueOrFalse)

  Indicate if authorizations should be deferred

  MBean Dynamic Method
  MBean Attribute Old Property Name:
    commerce.payment.defer.authorization

### setPaymentModel

    public void setPaymentModel(String paymentModel)

  Set the payment model of your business

  MBean Attribute Old Property Name:
    PaymentModel

### setPaymentWebServiceWSDL

    public void setPaymentWebServiceWSDL(String wsdl)

  Set the WSDL of the payment web service

  MBean Dynamic Method

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved